Subject: bug#17598: Emacs pretest 24.3.91 - AIX - SIGSEV when customize

From: Paul Eggert <[email-masked]>
Date: Wed, 28 May 2014 09:34:04 -0700

Eli Zaretskii wrote:
>> >Unfortunately AIX uses the relocating allocator in ralloc.c, not the
>> >system malloc
> Does it?

It does in the AIX 7 version that I built, yes.

> it looks like a call to 'free' in the system libc to me.  Am I missing something?

It's linker magic.  Both the system malloc and the ralloc.c-supplied 
malloc are available, and both are used: Emacs uses the ralloc version 
and library functions like XFreeFontNames use the system malloc.

This mixture of system and ralloc-supplied malloc might be causing 
Gilles's problem, which is partly why I suggested that he build with the 
system malloc only.